using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EBusinessType
{
    /// <summary>
    /// 坐席节点
    /// </summary>
    [Description("坐席节点")]
    Seat = 0,

    /// <summary>
    /// 派单节点
    /// </summary>
    [Description("派单节点")]
    Send = 1,

    /// <summary>
    /// 部门节点
    /// </summary>
    [Description("部门节点")]
    Department = 2,

    /// <summary>
    /// 部门领导
    /// </summary>
    [Description("部门领导节点")]
    DepartmentLeader = 3,

    /// <summary>
    /// 中心班长
    /// </summary>
    [Description("中心班长")]
    CenterMonitor = 4,

    /// <summary>
    /// 中心领导
    /// </summary>
    [Description("中心领导")]
    CenterLeader = 5,

    /// <summary>
    /// 归档节点
    /// </summary>
    [Description("归档节点")]
    File = 99,

    [Description("其他")]
    Unknown = 100,

    /// <summary>
    /// 发布
    /// </summary>
    [Description("发布节点")]
    Publish = 110,

    /// <summary>
    /// 回访
    /// </summary>
    [Description("回访节点")]
    Visit = 120,

    /// <summary>
    /// 结束（为了与老系统保持一致，额外添加在回访后的节点）
    /// </summary>
    [Description("结束节点(兼容老系统习惯)")]
    TrashEnd = 130,
}